/usr/bin/kvm \
  -id 8006 \
  -name 'simple,debug-threads=on' \
  -no-shutdown \
  -chardev 'socket,id=qmp,path=/var/run/qemu-server/8006.qmp,server=on,wait=off' \
  -mon 'chardev=qmp,mode=control' \
  -chardev 'socket,id=qmp-event,path=/var/run/qmeventd.sock,reconnect=5' \
  -mon 'chardev=qmp-event,mode=control' \
  -pidfile /var/run/qemu-server/8006.pid \
  -daemonize \
  -smbios 'type=1,uuid=7b10d7af-b932-4c66-b2c3-3996152ec465' \
  -smp '4,sockets=2,cores=2,maxcpus=4' \
  -nodefaults \
  -boot 'menu=on,strict=on,reboot-timeout=1000,splash=/usr/share/qemu-server/bootsplash.jpg' \
  -vnc 'unix:/var/run/qemu-server/8006.vnc,password=on' \
  -cpu kvm64,enforce,+kvm_pv_eoi,+kvm_pv_unhalt,+lahf_lm,+sep \
  -m 'size=1024,slots=255,maxmem=524288M' \
  -object 'memory-backend-ram,id=ram-node0,size=512M' \
  -numa 'node,nodeid=0,cpus=0-1,memdev=ram-node0' \
  -object 'memory-backend-ram,id=ram-node1,size=512M' \
  -numa 'node,nodeid=1,cpus=2-3,memdev=ram-node1' \
  -object 'memory-backend-ram,id=mem-dimm0,size=512M' \
  -device 'pc-dimm,id=dimm0,memdev=mem-dimm0,node=0' \
  -object 'memory-backend-ram,id=mem-dimm1,size=512M' \
  -device 'pc-dimm,id=dimm1,memdev=mem-dimm1,node=1' \
  -object 'memory-backend-ram,id=mem-dimm2,size=512M' \
  -device 'pc-dimm,id=dimm2,memdev=mem-dimm2,node=0' \
  -object 'memory-backend-ram,id=mem-dimm3,size=512M' \
  -device 'pc-dimm,id=dimm3,memdev=mem-dimm3,node=1' \
  -object 'memory-backend-ram,id=mem-dimm4,size=512M' \
  -device 'pc-dimm,id=dimm4,memdev=mem-dimm4,node=0' \
  -object 'memory-backend-ram,id=mem-dimm5,size=512M' \
  -device 'pc-dimm,id=dimm5,memdev=mem-dimm5,node=1' \
  -object 'memory-backend-ram,id=mem-dimm6,size=512M' \
  -device 'pc-dimm,id=dimm6,memdev=mem-dimm6,node=0' \
  -object 'memory-backend-ram,id=mem-dimm7,size=512M' \
  -device 'pc-dimm,id=dimm7,memdev=mem-dimm7,node=1' \
  -object 'memory-backend-ram,id=mem-dimm8,size=512M' \
  -device 'pc-dimm,id=dimm8,memdev=mem-dimm8,node=0' \
  -object 'memory-backend-ram,id=mem-dimm9,size=512M' \
  -device 'pc-dimm,id=dimm9,memdev=mem-dimm9,node=1' \
  -object 'memory-backend-ram,id=mem-dimm10,size=512M' \
  -device 'pc-dimm,id=dimm10,memdev=mem-dimm10,node=0' \
  -object 'memory-backend-ram,id=mem-dimm11,size=512M' \
  -device 'pc-dimm,id=dimm11,memdev=mem-dimm11,node=1' \
  -object 'memory-backend-ram,id=mem-dimm12,size=512M' \
  -device 'pc-dimm,id=dimm12,memdev=mem-dimm12,node=0' \
  -object 'memory-backend-ram,id=mem-dimm13,size=512M' \
  -device 'pc-dimm,id=dimm13,memdev=mem-dimm13,node=1' \
  -object 'memory-backend-ram,id=mem-dimm14,size=512M' \
  -device 'pc-dimm,id=dimm14,memdev=mem-dimm14,node=0' \
  -object 'memory-backend-ram,id=mem-dimm15,size=512M' \
  -device 'pc-dimm,id=dimm15,memdev=mem-dimm15,node=1' \
  -object 'memory-backend-ram,id=mem-dimm16,size=512M' \
  -device 'pc-dimm,id=dimm16,memdev=mem-dimm16,node=0' \
  -object 'memory-backend-ram,id=mem-dimm17,size=512M' \
  -device 'pc-dimm,id=dimm17,memdev=mem-dimm17,node=1' \
  -object 'memory-backend-ram,id=mem-dimm18,size=512M' \
  -device 'pc-dimm,id=dimm18,memdev=mem-dimm18,node=0' \
  -object 'memory-backend-ram,id=mem-dimm19,size=512M' \
  -device 'pc-dimm,id=dimm19,memdev=mem-dimm19,node=1' \
  -object 'memory-backend-ram,id=mem-dimm20,size=512M' \
  -device 'pc-dimm,id=dimm20,memdev=mem-dimm20,node=0' \
  -object 'memory-backend-ram,id=mem-dimm21,size=512M' \
  -device 'pc-dimm,id=dimm21,memdev=mem-dimm21,node=1' \
  -object 'memory-backend-ram,id=mem-dimm22,size=512M' \
  -device 'pc-dimm,id=dimm22,memdev=mem-dimm22,node=0' \
  -object 'memory-backend-ram,id=mem-dimm23,size=512M' \
  -device 'pc-dimm,id=dimm23,memdev=mem-dimm23,node=1' \
  -object 'memory-backend-ram,id=mem-dimm24,size=512M' \
  -device 'pc-dimm,id=dimm24,memdev=mem-dimm24,node=0' \
  -object 'memory-backend-ram,id=mem-dimm25,size=512M' \
  -device 'pc-dimm,id=dimm25,memdev=mem-dimm25,node=1' \
  -object 'memory-backend-ram,id=mem-dimm26,size=512M' \
  -device 'pc-dimm,id=dimm26,memdev=mem-dimm26,node=0' \
  -object 'memory-backend-ram,id=mem-dimm27,size=512M' \
  -device 'pc-dimm,id=dimm27,memdev=mem-dimm27,node=1' \
  -object 'memory-backend-ram,id=mem-dimm28,size=512M' \
  -device 'pc-dimm,id=dimm28,memdev=mem-dimm28,node=0' \
  -object 'memory-backend-ram,id=mem-dimm29,size=512M' \
  -device 'pc-dimm,id=dimm29,memdev=mem-dimm29,node=1' \
  -object 'memory-backend-ram,id=mem-dimm30,size=512M' \
  -device 'pc-dimm,id=dimm30,memdev=mem-dimm30,node=0' \
  -object 'memory-backend-ram,id=mem-dimm31,size=512M' \
  -device 'pc-dimm,id=dimm31,memdev=mem-dimm31,node=1' \
  -object 'memory-backend-ram,id=mem-dimm32,size=1024M' \
  -device 'pc-dimm,id=dimm32,memdev=mem-dimm32,node=0' \
  -object 'memory-backend-ram,id=mem-dimm33,size=1024M' \
  -device 'pc-dimm,id=dimm33,memdev=mem-dimm33,node=1' \
  -object 'memory-backend-ram,id=mem-dimm34,size=1024M' \
  -device 'pc-dimm,id=dimm34,memdev=mem-dimm34,node=0' \
  -object 'memory-backend-ram,id=mem-dimm35,size=1024M' \
  -device 'pc-dimm,id=dimm35,memdev=mem-dimm35,node=1' \
  -object 'memory-backend-ram,id=mem-dimm36,size=1024M' \
  -device 'pc-dimm,id=dimm36,memdev=mem-dimm36,node=0' \
  -object 'memory-backend-ram,id=mem-dimm37,size=1024M' \
  -device 'pc-dimm,id=dimm37,memdev=mem-dimm37,node=1' \
  -object 'memory-backend-ram,id=mem-dimm38,size=1024M' \
  -device 'pc-dimm,id=dimm38,memdev=mem-dimm38,node=0' \
  -object 'memory-backend-ram,id=mem-dimm39,size=1024M' \
  -device 'pc-dimm,id=dimm39,memdev=mem-dimm39,node=1' \
  -object 'memory-backend-ram,id=mem-dimm40,size=1024M' \
  -device 'pc-dimm,id=dimm40,memdev=mem-dimm40,node=0' \
  -object 'memory-backend-ram,id=mem-dimm41,size=1024M' \
  -device 'pc-dimm,id=dimm41,memdev=mem-dimm41,node=1' \
  -object 'memory-backend-ram,id=mem-dimm42,size=1024M' \
  -device 'pc-dimm,id=dimm42,memdev=mem-dimm42,node=0' \
  -object 'memory-backend-ram,id=mem-dimm43,size=1024M' \
  -device 'pc-dimm,id=dimm43,memdev=mem-dimm43,node=1' \
  -object 'memory-backend-ram,id=mem-dimm44,size=1024M' \
  -device 'pc-dimm,id=dimm44,memdev=mem-dimm44,node=0' \
  -object 'memory-backend-ram,id=mem-dimm45,size=1024M' \
  -device 'pc-dimm,id=dimm45,memdev=mem-dimm45,node=1' \
  -object 'memory-backend-ram,id=mem-dimm46,size=1024M' \
  -device 'pc-dimm,id=dimm46,memdev=mem-dimm46,node=0' \
  -object 'memory-backend-ram,id=mem-dimm47,size=1024M' \
  -device 'pc-dimm,id=dimm47,memdev=mem-dimm47,node=1' \
  -object 'memory-backend-ram,id=mem-dimm48,size=1024M' \
  -device 'pc-dimm,id=dimm48,memdev=mem-dimm48,node=0' \
  -object 'memory-backend-ram,id=mem-dimm49,size=1024M' \
  -device 'pc-dimm,id=dimm49,memdev=mem-dimm49,node=1' \
  -object 'memory-backend-ram,id=mem-dimm50,size=1024M' \
  -device 'pc-dimm,id=dimm50,memdev=mem-dimm50,node=0' \
  -object 'memory-backend-ram,id=mem-dimm51,size=1024M' \
  -device 'pc-dimm,id=dimm51,memdev=mem-dimm51,node=1' \
  -object 'memory-backend-ram,id=mem-dimm52,size=1024M' \
  -device 'pc-dimm,id=dimm52,memdev=mem-dimm52,node=0' \
  -object 'memory-backend-ram,id=mem-dimm53,size=1024M' \
  -device 'pc-dimm,id=dimm53,memdev=mem-dimm53,node=1' \
  -object 'memory-backend-ram,id=mem-dimm54,size=1024M' \
  -device 'pc-dimm,id=dimm54,memdev=mem-dimm54,node=0' \
  -object 'memory-backend-ram,id=mem-dimm55,size=1024M' \
  -device 'pc-dimm,id=dimm55,memdev=mem-dimm55,node=1' \
  -object 'memory-backend-ram,id=mem-dimm56,size=1024M' \
  -device 'pc-dimm,id=dimm56,memdev=mem-dimm56,node=0' \
  -object 'memory-backend-ram,id=mem-dimm57,size=1024M' \
  -device 'pc-dimm,id=dimm57,memdev=mem-dimm57,node=1' \
  -object 'memory-backend-ram,id=mem-dimm58,size=1024M' \
  -device 'pc-dimm,id=dimm58,memdev=mem-dimm58,node=0' \
  -object 'memory-backend-ram,id=mem-dimm59,size=1024M' \
  -device 'pc-dimm,id=dimm59,memdev=mem-dimm59,node=1' \
  -object 'memory-backend-ram,id=mem-dimm60,size=1024M' \
  -device 'pc-dimm,id=dimm60,memdev=mem-dimm60,node=0' \
  -object 'memory-backend-ram,id=mem-dimm61,size=1024M' \
  -device 'pc-dimm,id=dimm61,memdev=mem-dimm61,node=1' \
  -object 'memory-backend-ram,id=mem-dimm62,size=1024M' \
  -device 'pc-dimm,id=dimm62,memdev=mem-dimm62,node=0' \
  -object 'memory-backend-ram,id=mem-dimm63,size=1024M' \
  -device 'pc-dimm,id=dimm63,memdev=mem-dimm63,node=1' \
  -object 'memory-backend-ram,id=mem-dimm64,size=2048M' \
  -device 'pc-dimm,id=dimm64,memdev=mem-dimm64,node=0' \
  -object 'memory-backend-ram,id=mem-dimm65,size=2048M' \
  -device 'pc-dimm,id=dimm65,memdev=mem-dimm65,node=1' \
  -object 'memory-backend-ram,id=mem-dimm66,size=2048M' \
  -device 'pc-dimm,id=dimm66,memdev=mem-dimm66,node=0' \
  -object 'memory-backend-ram,id=mem-dimm67,size=2048M' \
  -device 'pc-dimm,id=dimm67,memdev=mem-dimm67,node=1' \
  -object 'memory-backend-ram,id=mem-dimm68,size=2048M' \
  -device 'pc-dimm,id=dimm68,memdev=mem-dimm68,node=0' \
  -object 'memory-backend-ram,id=mem-dimm69,size=2048M' \
  -device 'pc-dimm,id=dimm69,memdev=mem-dimm69,node=1' \
  -object 'memory-backend-ram,id=mem-dimm70,size=2048M' \
  -device 'pc-dimm,id=dimm70,memdev=mem-dimm70,node=0' \
  -object 'memory-backend-ram,id=mem-dimm71,size=2048M' \
  -device 'pc-dimm,id=dimm71,memdev=mem-dimm71,node=1' \
  -device 'pci-bridge,id=pci.1,chassis_nr=1,bus=pci.0,addr=0x1e' \
  -device 'pci-bridge,id=pci.2,chassis_nr=2,bus=pci.0,addr=0x1f' \
  -device 'vmgenid,guid=c773c261-d800-4348-9f5d-167fadd53cf8' \
  -device 'piix3-usb-uhci,id=uhci,bus=pci.0,addr=0x1.0x2' \
  -device 'usb-tablet,id=tablet,bus=uhci.0,port=1' \
  -device 'VGA,id=vga,bus=pci.0,addr=0x2' \
  -device 'virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3' \
  -iscsi 'initiator-name=iqn.1993-08.org.debian:01:aabbccddeeff' \
  -machine 'type=pc'
